*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family: Arial, Helvetica, sans-serif;
}
html,body{
    height: 100%;
    width: 100%;
}
body{
    display: flex;
    align-items: center;
    justify-content: center;
}
.container{
    height: 70vh;
    width: 45vw;
    border-radius: 20px;
    background-color: #dadada;
    padding: 15px 25px;
}
.container h1{
    color: rgb(25, 111, 197);
    text-align: center;
}
.container form{
    /* background-color: red; */
    /* display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 5px; */
    margin-top: 30px;
}
form p{
    font-weight: 600;
    margin-bottom: 5px;
}
form input{
    padding: 10px 15px;
    /* border-radius: 50px; */
    border: 1px solid #222;
    outline: none;
    background-color: rgba(255, 255, 255, 0.557);
    box-shadow: 0px 0px 10px transparent;
    width: 80%;
    color: #000;
}
form input:focus{
    border: 1px solid rgb(25, 111, 197);
    box-shadow: 0px 0px 10px rgb(67, 150, 232);
}
form button{
    padding: 11px 20px;
    color: #fff;
    background-color: rgb(25, 111, 197);
    border: none;
    outline: none;
    transition: all ease 0.2s;
    width: 15%;
    cursor: pointer;
    /* border-radius: 50px; */
}
form button:hover{
    background-color: rgb(30, 120, 210);
}
.output{
    height: 70%;
    width: 100%;
    /* background-color: red; */
    margin-top: 20px;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
}
.output p{
    font-size: 14px;
    font-style: italic;
}
.definition, .pof, .pronounce{
    margin-top: 20px;
}
.definition-text, .pof-text{
    font-style: normal !important;
}
.output button{
    padding: 11px 20px;
    color: #fff;
    background-color: rgb(25, 111, 197);
    border: none;
    outline: none;
    transition: all ease 0.2s;
    width: 100%;
    cursor: pointer;
    font-size: 18px;
    letter-spacing: 1px;
}
.output button:hover{
    background-color: rgb(30, 120, 210);
}

@media (max-width: 991px) {
    .container{
        height: 85vh;
    }
    form input{
        width: 70%;
    }
    form button{
        width: 20%;
    }
}
@media (max-width: 688px) {
    .container{
        width: 70vw;
    }
    form input{
        width: 70%;
    }
    form button{
        width: 25%;
    }
}
@media (max-width: 458px) {
    .container{
        width: 90vw;
        height: 75vh;
    }
    form input{
        width: 70%;
    }
    form button{
        width: 27%;
    }
}
@media (max-width: 384px) {
    .container{
        width: 90vw;
        height: 90vh;
    }
    form input{
        width: 70%;
    }
    form button{
        width: 27%;
    }
}